io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.PubAckBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.PubAckBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.PubAckBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`MqttMessage` `build()`
`MqttMessageBuilders.PubAckBuilder` `packetId(int packetId)`
`MqttMessageBuilders.PubAckBuilder` `packetId(short packetId)` Deprecated. use `packetId(int)` instead
`MqttMessageBuilders.PubAckBuilder` `properties(MqttProperties properties)`
`MqttMessageBuilders.PubAckBuilder` `reasonCode(byte reasonCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### reasonCode

    public MqttMessageBuilders.PubAckBuilder reasonCode(byte reasonCode)

#### packetId

    public MqttMessageBuilders.PubAckBuilder packetId(int packetId)

#### packetId

    @Deprecated
    public MqttMessageBuilders.PubAckBuilder packetId(short packetId)

Deprecated. use `packetId(int)` instead

#### properties

    public MqttMessageBuilders.PubAckBuilder properties(MqttProperties properties)

#### build

    public MqttMessage build()